EnumControl.Type (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.sound.sampled, class: EnumControl, class: Type
Keywords: javax.sound.sampled.EnumControl.Type class

# Class EnumControl.Type

java.lang.Object
javax.sound.sampled.Control.Type
javax.sound.sampled.EnumControl.Type

Enclosing class:
  `EnumControl`

public static class EnumControl.Type extends Control.Type
An instance of the `EnumControl.Type` inner class identifies one kind of enumerated control. Static instances are provided for the common types.

Since:
  1.3
See Also:
  - `EnumControl`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final EnumControl.Type`
  `REVERB`
  Represents a control over a set of possible reverberation settings.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Type(String name)`
  Constructs a new enumerated control type.

- ## Method Summary

  ### Methods declared in class Control.Type

  `equals, hashCode, toString`
  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object obj)`
  Indicates whether the specified object is equal to this control type, returning `true` if the objects are the same.
  `final int`
  `hashCode()`
  Returns a hash code value for this control type.
  `final String`
  `toString()`
  Returns type's name as the string representation of the control type.

  ### Methods declared in class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Field Details

  - ### REVERB

    public static final EnumControl.Type REVERB
    Represents a control over a set of possible reverberation settings. Each reverberation setting is described by an instance of the `ReverbType` class. (To access these settings, invoke `EnumControl.getValues()` on an enumerated control of type `REVERB`.)

- ## Constructor Details

  - ### Type

    protected Type(String name)
    Constructs a new enumerated control type.
    Parameters:
      `name` - the name of the new enumerated control type